ContractCreationRequest
Request body for creating a new contract
labelstring | nullnullable
Label of the contract
typestring | nullnullable
Type of the contract
Example:
LEASE or OTHERcodestring | nullnullable
Code of the contract
assetsstring[]required
Assets linked of the contract
stakeholdersstring[]required
Stakeholders linked of the contract
equipmentsstring[]requireddeprecated
Equipments linked of the contract (deprecated, use the V2 installations field instead)
effectiveDatestring | nullnullable
Effective date of the contract (accepts yyyy-MM-dd or dd/MM/yyyy)
Example:
2023-01-01endDatestring | nullnullable
End date of the contract (accepts yyyy-MM-dd or dd/MM/yyyy)
Example:
2023-01-01ContractCreationRequest
{
"label": "string",
"type": "LEASE or OTHER",
"code": "string",
"assets": [
"string"
],
"stakeholders": [
"string"
],
"effectiveDate": "2023-01-01",
"endDate": "2023-01-01"
}